package com.mortals.xhx.module.business.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.business.model.vo.BusinessMatterVo;
/**
* 业务事项关联实体对象
*
* @author zxfei
* @date 2022-01-12
*/

public class BusinessMatterEntity extends BusinessMatterVo {
    private static final long serialVersionUID = 1L;

    /**
    * 业务id
    */
    private Long businessId;
    /**
    * 业务名称
    */
    private String businessName;
    /**
    * 事项id
    */
    private Long matterId;
    /**
    * 事项名称
    */
    private String matterName;



    public BusinessMatterEntity(){}
    /**
    * 获取 业务id
    * @return Long
    */
    public Long getBusinessId(){
        return businessId;
    }
    /**
    * 设置 业务id
    * @param businessId
    */
    public void setBusinessId(Long businessId){
        this.businessId = businessId;
    }
    /**
    * 获取 业务名称
    * @return String
    */
    public String getBusinessName(){
        return businessName;
    }
    /**
    * 设置 业务名称
    * @param businessName
    */
    public void setBusinessName(String businessName){
        this.businessName = businessName;
    }
    /**
    * 获取 事项id
    * @return Long
    */
    public Long getMatterId(){
        return matterId;
    }
    /**
    * 设置 事项id
    * @param matterId
    */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
    * 获取 事项名称
    * @return String
    */
    public String getMatterName(){
        return matterName;
    }
    /**
    * 设置 事项名称
    * @param matterName
    */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof BusinessMatterEntity) {
            BusinessMatterEntity tmp = (BusinessMatterEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",businessId:").append(getBusinessId());
        sb.append(",businessName:").append(getBusinessName());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterName:").append(getMatterName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.businessId = null;

            this.businessName = null;

            this.matterId = null;

            this.matterName = null;
    }
}